import flet as ft

from requests.board_games import get_sections


def main(page: ft.Page):
    print("Rerender!")

    sections = get_sections()

    sections_buttons = [ft.Button(section) for section in sections]

    page.add(
        ft.SafeArea(
            ft.Column (
                [ft.Row(sections_buttons, alignment=ft.MainAxisAlignment.CENTER)],
                alignment=ft.MainAxisAlignment.START
            )
        )
    )


ft.app(main)
